## v1: original rook manifests

```
 git clone https://github.com/rook/rook.git
cd rook/cluster/examples/kubernetes/ceph
kubectl apply  -f crds.yaml -f common.yaml
kubectl apply  -f operator.yaml
kubectl get -n rook-ceph pods --watch
kubectl apply -f cluster.yaml
kubectl apply -f csi/rbd/storageclass.yaml
kubectl apply -f toolbox.yaml
```

## v2 with included manifests

* Patched for IPv6 support
* Including RBD

```
for yaml in crds common operator cluster storageclass toolbox; do
    kubectl apply -f ${yaml}.yaml
done
```

## Debugging / ceph toolbox

```
kubectl -n rook-ceph exec -it deploy/rook-ceph-tools -- bash
```

## Creating a sample RBD device / PVC

```
kubectl apply -f pvc.yaml
```

Checks:

```
kubectl get pvc
kubectl describe pvc

kubectl get pv
kubectl describe pv
```

Digging into ceph, seeing the actual image:

```
[20:05] server47.place7:~# kubectl -n rook-ceph exec -it deploy/rook-ceph-tools -- rbd -p replicapool ls
csi-vol-d3c96f79-c7ba-11eb-8e52-1ed2f2d63451
[20:11] server47.place7:~#
```
